declare module "eventCollecter" {
    type SfdEvent = {
        fileName: String;
        row: number;
        column: number;
        isAsync: Boolean;
        isGenerator: Boolean;
        funcName: String;
        time: number;
        endTime: number;
        duration: number;
        timeFromInitTime: number;
        endTimeFromInitTime: number;
        count: number;
        startSeq: number;
        endSeq: number;
    };
    export default class EventCollecter {
        static isReporting: boolean;
        static maxDuration: number;
        static maxCount: number;
        static init(maxDuration: number, maxCount: number, onReport: (e: SfdEvent) => void): void;
        static onReport(e: SfdEvent): void;
        static initTime: number;
        static startSeq: number;
        static endSeq: number;
        static counter: Map<String, number>;
        static receiveEvent(e: SfdEvent): void;
    }
}
declare module "helper" {
    import type { NodePath, PluginPass } from '@babel/core';
    import type { Function, Statement, Identifier } from "@babel/types";
    export default class Helper {
        static fileFilter(filename: string | null | undefined): boolean;
        static buildPreInject(varName: Identifier, path: NodePath<Function>, state: PluginPass, basedir: String, funcName?: String): Statement[];
        static buildPostInject(varName: Identifier): Statement;
        static printTransformInfo(path: NodePath<Function>, state: PluginPass, opt: any, basedir: String, funcName?: String): void;
        static getFilePath(path: NodePath<Function>, state: PluginPass, basedir: String): string;
    }
}
declare module "index" {
    import type { NodePath, PluginPass } from "@babel/core";
    import * as t from '@babel/types';
    const _default: (api: object, options: Record<string, any> | null | undefined, dirname: string) => {
        visitor: {
            Program(this: PluginPass, path: NodePath<t.Program>, state: PluginPass): void;
        };
    };
    export default _default;
}
